<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCardUserInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('card_user_info', function (Blueprint $table) {
            $table->increments('id');
            $table->string('user_id');
            $table->string('name')->default('')->comment('姓名');
            $table->string('position')->default('')->comment('职位');
            $table->string('avatar')->default('')->comment('头像');
            $table->string('phone')->default('')->comment('电话');
            $table->string('company')->default('')->comment('公司');
            $table->string('work')->default('')->comment('业务');
            $table->string('address')->default('')->comment('地址');
            $table->string('email')->default('')->comment('邮箱');
            $table->string('qq')->default('')->comment('qq');
            $table->string('wechat')->default('')->comment('微信');
            $table->string('internet')->default('')->comment('网址');
            $table->string('team_show')->default('')->comment('团队图片展示');
            $table->text('team')->comment('团队介绍');
            $table->timestamps();

            $table->index('user_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('card_user_info');
    }
}
